# Contributors License Agreement 
Version 1.1, proprietary document Daimler Group.

Please print this this CLA, sign it, scan it, and send a scan of the CLA to CLA-MBition@daimler.com.

## 0 CLA Parties

This _Contributor_ License Agreement (**_“CLA”_**) is concluded by and between

Company Name/Individual’s Name:

Platform Username:

Address:

E-Mail:

If you are a company, the following person is authorized to act on aforementioned company’s behalf in connection with the _FOSS Project_: [name, function]

(hereinafter **_“Contributor”_**)

and

**MBition GmbH**

Dovestrasse 1

10587 Berlin

Germany

(hereinafter **_“FOSS Co”_**)

(_Contributor_ and _FOSS Co_ hereinafter individually a **_“Party”_** and jointly the **_“Parties”_**)

## 1 Definitions
Capitalized terms in _italics_ that are used in this _CLA_ shall have the following meaning:

**“_Contribution_”** means any _Contributor’s Work of Authorship_, which the _Contributor_ submits to _FOSS Co_.

**“_FOSS License_”** means a license approved as open source license by the Open Source Initiative (https://opensource.org/licenses/), or other open source license terms as specified by _FOSS Co_ for the _FOSS Project_.

**“_FOSS Project_”** means _FOSS Co’s_ free and open source projects https://github.com/Daimler, in which software and/or documentation is made available under a _FOSS License_ determined by _FOSS Co_ per repository.

**“_Contributor’s Work of Authorship_”** means any work of authorship, such as but not limited to, software code, documentation, databases, or parts of the foregoing, including modifications or additions to software code or documentation made available in the _Project_, which entirely and independently has been developed, invented, designed or otherwise created by (i) the _Contributor_ itself, and/or (ii) third parties for and on behalf of the _Contributor_ (e.g. _Contributor_’s employees).

**“_Submit_”** means any form of electronic communication, including, without limitation, upload, communication on mailing lists, source code control systems and bug tracking systems that are used by _FOSS Co_ for its _FOSS Project_. 

**“_Third Party Materials_”** means any work of authorship to the extent it is not _Contributor’s Work of Authorship_, e.g. third party proprietary or open source software.

## 2 Subject matter and scope
2.1 The subject matter of this _CLA_ is the grant of rights and licenses in _Contributions_ according to the terms and conditions laid out herein.

2.2	The _Contributor_ has no obligation to _submit_ any _Contribution_ to _FOSS Co_. If the _Contributor_ decides to create and _submit_ a _Contribution_, however, such _Contribution_ is governed by the terms of this _CLA_, _FOSS Co’s_ guidelines on _submitting Contributions_ published by _FOSS Co_ for the _Project_, and any applicable third party guidelines on _submitting Contributions_ (e.g. platform guidelines). In the absence of _FOSS Co’s_ and applicable third party guidelines, the _Contributor_ shall _submit Contributions_ in a way customary and reasonable in open source projects. _FOSS Co_ has no obligation to accept _Contributions_ to be used in the _FOSS Project_ or otherwise.

2.3 The _Contributor_ agrees not to _submit_ any _Third Party Materials_ to _FOSS Co_, and will particularly ensure that no _Third Party Materials_ are included in any _Contribution_. 

## 3 Grant of rights
3.1	Upon _submission_ of a _Contribution_, _Contributor_ irrevocably grants _FOSS Co_ the non-exclusive, worldwide, perpetual and royalty-free right and license covering all copyrights and other intellectual property rights (e.g. database rights, trademarks, trade names, but with the exception of patents and utility models, see section 3.2) to use, copy, modify, combine, sell, lease, otherwise distribute, make publicly available and otherwise exploit the _Contribution_ and any portion thereof, in each case either modified or unmodified. This particularly includes the non-exclusive right of _FOSS Co_ to

  1. use, test, run, host, access, grant access to, copy and otherwise reproduce the _Contribution_ and any portions thereof, for any commercial or non-commercial purpose, in isolated form as well as combined with or integrated into products or components, without any restriction on territory, content or quantity (e.g. regarding user number), both on (also virtual) servers and on clients;
  1. offer, demonstrate, sell, lease, otherwise distribute and make publicly or non-publicly available the _Contribution_ or parts thereof to third parties, in any tangible or intangible form, for free or against fees, with or without restrictions, for any commercial or non-commercial purpose, under licensing terms and conditions at _FOSS Co_’s choice, including proprietary license terms and free and open source license terms, including the _FOSS License_;
  1. modify, adapt, configure, and create derivatives from the _Contribution_ and any portion thereof, for any commercial or non-commercial purpose, particularly to decompile and disassemble the object code, modify, amend and replace (parts of) the source code, and to compile and assemble the modified or unmodified source code;
  1. remove error and defects in and maintain and further develop the _Contribution_ and any portions thereof for any non-commercial or commercial purpose; and
  1. otherwise exploit the _Contribution_ and any portion thereof in any known or yet unknown form.

3.2	For patent rights including, without limitation, methods, processes, and apparatus claims which the _Contributor_ owns, controls or has the right to grant, now or in the future, the _Contributor_ irrevocably grants _FOSS Co_ a non-exclusive, perpetual, worldwide, royalty-free, patent license to the extent necessary to exploit the rights and license granted under section 3.1. This patent license particularly includes the right to use, copy and otherwise reproduce, modify, combine, sell, offer for sell, distribute, make publicly available and otherwise exploit the _Contribution_, or parts thereof, in each case either unmodified or modified, without infringing the relevant patents. This section 3.2 also applies to utility model rights.

3.3	If moral rights apply to the _Contribution_, to the maximum extent permitted by applicable law, the _Contributor_ waives and agrees not to assert such moral rights against _FOSS Co_ or any of _FOSS Co_’s licensees. If _FOSS Co_ accepts the _Contribution_ to be used in the _FOSS Project_, and decides to (in addition) exploit the _Contribution_ for commercial purposes, _Contributor_ hereby authorizes _FOSS Co_ to remove copyright notices, license notices, comparable notices, and annotations in the _Contribution_ and add notices at _FOSS Co_’s discretion, but only for these commercial purposes.  For the sake of clarity, any and all aforementioned notices of the _Contribution_ to be used within the _FOSS Project_ shall remain unaffected.

3.4 All rights granted to _FOSS Co_ under this _CLA_ include the right to transfer these rights and to grant sublicenses through multiple tiers of sublicensees without any restriction.

3.5	_FOSS Co_ will not make further use of the rights and licenses granted under this section 3, should _FOSS Co_ decide not to accept the _Contribution_ to be used in the _FOSS Project_.

##	4 Confirmations
4.1	By submitting a _Contribution_, the _Contributor_ confirms to _FOSS Co_ that
  1. all portions of the _Contribution_ are Contributor’s Original Work of Authorship and therefore neither are the result of a cooperation with third parties (e.g. joint development), nor contain any _Third Party Materials_; and
  1. the _Contributor_ owns all copyrights, other intellectual property rights and patent rights required to grant the rights and licenses under section 3.1 to 3.4; and
  1. the _Contribution_ and its exploitation does not violate any third party rights, including, where applicable, the rights of the _Contributor_’s employer or the _Contributor_’s employees; and 
  1. the _Contributor_ has legal authority to enter into this _CLA_, and is of legal age (if applicable). 

4.2	If you are signing this _CLA_ on behalf of your employer (_Contributor_), you confirm to _FOSS Co_ your authorization to act on your employer’s behalf.

4.3	The _Contributor_ represents the accuracy of the confirmations under section 4.1 and 4.2 and will without undue delay notify _FOSS Co_ in writing of any circumstances that would make these confirmations inaccurate in any respect.

##	5 Data Protection
5.1	Given that, _Contributor_ is a natural person the following shall apply.

5.2	The controller for the processing of personal data is _FOSS Co_ and can be reached through the contact details above or CLA-MBition@daimler.com. The following has been appointed as Data Protection Officer: Chief Officer Corporate Data Protection, Daimler AG, HPC G353 70546 Stuttgart, data.protection@daimler.com. If possible, please enter the details of _FOSS Co_ and topic, which you wish to contact the data protection officer.

5.3	_FOSS Co_ uses the personal data a _Contributor_ provides in this _CLA_ and the personal data linked to the _Contribution_, including contact details and source code, to perform the contract concluded with _Contributor_. This includes also the archiving of the _Contribution_, as _FOSS Co_ has to provide evidence of the Grant of rights under section 3. with regards to the respective _Contribution_. The lawfulness of data processing is derived from Art. 6 (1) b) GDPR.

5.4	Personal data is processed by _FOSS Co_ and service providers acting as maintainer and IT service provider, within data centers in Germany. No transfer to third countries is intended. 

5.5	Personal data will be stored for a period of thirty years after the termination of this _CLA_. Non personal data is not affected by this deletion. 

5.6	_Contributor_ has the right at any time to obtain information about _Contributor_’s personal data, the right to have it corrected or deleted, the right to limit its processing, and the right to make a complaint to _FOSS Co_ or to a super-visory authority. _Contributor_ is free to exercise the right to data portability. To exercise these rights, please contact _FOSS Co_ at CLA-MBition@daimler.com.

##	6 Governing law and jurisdiction
6.1 The terms of this _CLA_ as well as any rights and claims arising from or in connection with the _CLA_ shall be governed by and construed in accordance with German law. The United Nations Convention on Contracts for the International Sale of Goods (CISG) shall be excluded. The applicability of mandatory consumer legislation of the state in which the _Contributor_ has its habitual place of residence shall remain unaffected.

6.2 In case the _Contributor_ is a merchant (_Kaufmann_) or a legal person under public law, the exclusive venue for any disputes arising from or in connection with this _CLA_ shall be Stuttgart (Mitte), Germany. In such case, _FOSS Co_ shall also be entitled to bring suit at the general venue of the _Contributor_. 

## 7 Miscellaneous
7.1 Within the framework of its commercial dealings with _FOSS Co_, the _Contributor_ is obliged to desist from all practices which may lead to penal liability due to fraud or embezzlement, insolvency crimes, crimes in violation of competition, guaranteeing advantages, bribery, acceptance of bribes or other corruption crimes on its own part and on the part of persons employed by the _Contributor_ or other third parties. In the event of violation of the above, _FOSS Co_ has the right to immediately withdraw from or terminate all legal transactions existing with the _Contributor_ and the right to cancel all negotiations. The above notwithstanding, the _Contributor_ is obliged to adhere to all laws and regulations applicable to both itself and the commercial relationship with _FOSS Co_.

7.2 In case of any separate agreement between the _Contributor_ and _FOSS Co_ relating to the subject matter of the _CLA_, the terms of such separate agreement shall apply in addition and prevail, it being understood that _FOSS Co_ shall in any case at least obtain the rights in _Contributions_ agreed in this _CLA_ as a minimum standard. Such separate agreements shall not affect other participants of the _FOSS Project_.

7.3 Any amendments and modifications to the _CLA_ must at a minimum be agreed upon in text form to be binding, including amendments or modifications to this text form requirement. 

7.4 If any provision of the _CLA_ should fully or partially be found unenforceable or invalid, the remaining provisions shall remain unaffected and remain in full force. The _Parties_ will in such case agree on a valid and enforceable replacement provision which legally and commercially best reflects what the _Parties_ intended or would have intended considering the spirit and purpose of the _CLA_.

## Signatures

### _Contributor_

Place, Date:

Signature: 	

Name:

Title:


### MBition GmbH

Place, Date:

Signature: 	

Name:

Title:
